Package fr.gouv.vitam.common

# Enum Class EnumUnitWhiteListedFields

java.lang.Object
java.lang.Enum<EnumUnitWhiteListedFields>
fr.gouv.vitam.common.EnumUnitWhiteListedFields

All Implemented Interfaces:
  `Serializable`, `Comparable<EnumUnitWhiteListedFields>`, `Constable`

public enum EnumUnitWhiteListedFields extends Enum<EnumUnitWhiteListedFields>
Enums to manage white listed fields

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ArchivalAgencyArchiveUnitIdentifier`
  `FilePlanPosition`
  `OriginatingAgencyArchiveUnitIdentifier`
  `OriginatingSystemId`
  `PersistentIdentifier`
  `TransferringAgencyArchiveUnitIdentifier`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EnumUnitWhiteListedFields`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EnumUnitWhiteListedFields[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FilePlanPosition

    public static final EnumUnitWhiteListedFields FilePlanPosition

  - ### OriginatingSystemId

    public static final EnumUnitWhiteListedFields OriginatingSystemId

  - ### ArchivalAgencyArchiveUnitIdentifier

    public static final EnumUnitWhiteListedFields ArchivalAgencyArchiveUnitIdentifier

  - ### OriginatingAgencyArchiveUnitIdentifier

    public static final EnumUnitWhiteListedFields OriginatingAgencyArchiveUnitIdentifier

  - ### TransferringAgencyArchiveUnitIdentifier

    public static final EnumUnitWhiteListedFields TransferringAgencyArchiveUnitIdentifier

  - ### PersistentIdentifier

    public static final EnumUnitWhiteListedFields PersistentIdentifier

- ## Method Details

  - ### values

    public static EnumUnitWhiteListedFields[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EnumUnitWhiteListedFields valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null